Subject: bug#44772: [[email-masked]: bug#44772: 2 test failures in automake 1.16.3]

From: Reuben Thomas <[email-masked]>
Date: Sat, 21 Nov 2020 13:45:20 +0000

[CCing the bug, though this email wasn't addressed to it; looks like it
should have been, though!]

Indeed, the generated C file shouldn't be rebuilt; the existing distributed
C source file should be used.

I tried the test with v1.16.3 and it passed for me. Looking at the logs, I
found this line in Bruno's:

cc -DPACKAGE_NAME=\"vala-headers\" -DPACKAGE_TARNAME=\"vala-headers\"
-DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-headers\ 1.0\"
-DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-headers\"
-DVERSION=\"1.0\" -I. -I../..    -I/usr/include/glib-2.0
-I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT quux.o -MD -MP -MF
.deps/quux.Tpo -c -o quux.o quux.c

whereas in mine it was:

cc -DPACKAGE_NAME=\"vala-headers\" -DPACKAGE_TARNAME=\"vala-headers\"
-DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-headers\ 1.0\"
-DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-headers\"
-DVERSION=\"1.0\" -I. -I../..    -isystem/usr/include/glib-2.0
-isystem/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT quux.o -MD
-MP -MF .deps/quux.Tpo -c -o quux.o ../../quux.c
Note the different path to the source file quux.c. Although, this does not
happen with zardoz.c (the source path is "zardoz.c" in the cwd for both
Bruno's log and mine), and that command succeeds for both of us.

This smells of race condition to me, and indeed if I unset MAKEFLAGS (I
usually have "-j 14") and run it again, then the path for zardoz.c is
../../zardoz.c. However, maybe it's not parallel building that's the
problem; could it be a problem with the test:

find -L $(srcdir)/quux.c -prune -newer $(srcdir)/quux.vala)

? The mtimes have only second resolution (set that way by tar) and so the
tests could come out either way.

The find rule could be fixed by making the test "not older" rather than
"newer" (leaving a different potential race condition, but a much rarer one
that would rely on very quick editing of the Vala source!). Specifically,
line 5737 of automake.in would become:

            . "\t\@if test ! -f \$@ && test \$(srcdir) != \$(builddir) &&
test -n \"\$\$(find -L \$(srcdir)/$vala_file) -prune \! -newer
\$(srcdir)/$c_file\"; then cp -p \$(srcdir)/$c_file $built_c_file; fi\n"

But that doesn't seem to be the whole story, since in Bruno's case the
result was "file not found" whereas in my case it was "use a different
source file".

On Fri, 20 Nov 2020 at 23:22, Karl Berry <[email-masked]> wrote:

> Reuben - any chance you can look into this vala failure?
>
> It seems that, (only) in the make distcheck done inside the test, the .c
> files are not remade from the .vala?
>
> Thanks,
> Karl
>
>
> Date: Fri, 20 Nov 2020 22:25:55 +0100
> From: Bruno Haible <[email-masked]>
> Resent-From: Bruno Haible <[email-masked]>
> Resent-CC: [email-masked]
> Resent-Date: Fri, 20 Nov 2020 21:27:02 +0000
> Resent-Message-ID: <[email-masked]>
> Resent-Sender: [email-masked]
> To:  <[email-masked]>
> Subject: bug#44772: 2 test failures in automake 1.16.3
>
> --1456002724-1605909332=:28818
> Content-Type: text/plain; charset="us-ascii"
> Content-Transfer-Encoding: 7bit
>
> On a glibc system, I'm seeing 2 test failures in automake 1.16.3:
> $ ./configure --prefix=/arch/x86_64-linux-gnu/gnu-inst-automake/1.16.3
> $ make
> $ make check
> ..
> FAIL: t/vala-headers.sh
> ..
> FAIL: t/vala-mix2.sh
> ..
>
> Find attached the log files (redacted for privacy reasons).
>
> vala and valac exist in /usr/bin.
>
> Bruno
>
> --1456002724-1605909332=:28818
> Content-Disposition: attachment; filename="vala-headers.log"
> Content-Type: text/x-log; charset="UTF-8"; name="vala-headers.log"
> Content-Transfer-Encoding: 7bit
>
> vala-headers: running pkg-config --version
> 0.29.1
> vala-headers: running valac --version
> Vala 0.30.1
> vala-headers: determine whether make is GNU make
> GNU Make 4.3
> Lizenz GPLv3+: GNU GPL Version 3 oder später <
> http://gnu.org/licenses/gpl.html>
> pkg-config version: 0.29.1
> dnl pkg.m4 - Macros to locate and utilise pkg-config.   -*- Autoconf -*-
> dnl serial 11 (pkg-config-0.29.1)
> dnl
> dnl Copyright © 2004 Scott James Remnant <[email-masked]>.
> dnl Copyright © 2012-2015 Dan Nicholson <[email-masked]>
> dnl
> dnl This program is free software; you can redistribute it and/or modify
> dnl it under the terms of the GNU General Public License as published by
> dnl the Free Software Foundation; either version 2 of the License, or
> dnl (at your option) any later version.
> dnl
> dnl This program is distributed in the hope that it will be useful, but
> dnl WITHOUT ANY WARRANTY; without even the implied warranty of
> dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
> dnl General Public License for more details.
> dnl
> dnl You should have received a copy of the GNU General Public License
> dnl along with this program; if not, write to the Free Software
> dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
> dnl 02111-1307, USA.
> Running from installcheck: no
> Test Protocol: none
> PATH = /BUILD/automake-1.16.3/bin:/BUILD/automake-1.16.3/t/ax:/HIDDEN/PATH
> ++ pwd
> /BUILD/automake-1.16.3/t/vala-headers.dir
> + cat
> + cat
> + headers='HDR.h hello.vapi foo.h foo2.h foo3.vapi'
> + cat
> + aclocal-1.16 -Werror
> + autoconf
> + automake-1.16 --foreign -Werror -Wall -a
> + ./configure
> checking for a BSD-compatible install...
> /arch/local/x86_64-linux/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /arch/local/x86_64-linux/bin/mkdir
> -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking whether make supports nested variables... yes
> checking for gcc... cc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether cc accepts -g... yes
> checking for cc option to accept ISO C89... none needed
> checking whether cc understands -c and -o together... yes
> checking whether make supports the include directive... yes (GNU style)
> checking dependency style of cc... gcc3
> checking for valac... /usr/bin/valac
> checking whether /usr/bin/valac supports at least API version 0.7.0... yes
> checking for pkg-config... /usr/bin/pkg-config
> checking pkg-config is at least version 0.9.0... yes
> checking for GOBJECT... yes
> checking that generated files are newer than configure... done
> configure: creating ./config.status
> config.status: creating Makefile
> config.status: executing depfiles commands
> + make
> rm -f zardoz_vala.stamp && echo stamp > zardoz_vala.stamp-t
> /usr/bin/valac -H foo.h --internal-header foo2.h --internal-vapi
> foo3.vapi  -C zardoz.vala
> mv -f zardoz_vala.stamp-t zardoz_vala.stamp
> cc -DPACKAGE_NAME=\"vala-headers\" -DPACKAGE_TARNAME=\"vala-headers\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-headers\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-headers\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT zardoz.o -MD -MP
> -MF .deps/zardoz.Tpo -c -o zardoz.o zardoz.c
> mv -f .deps/zardoz.Tpo .deps/zardoz.Po
> cc -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g
> -O2   -o zardoz zardoz.o -lgobject-2.0 -lglib-2.0
> sed 's/Zardoz/Quux/' <zardoz.vala >quux.vala
> rm -f quux_vala.stamp && echo stamp > quux_vala.stamp-t
> /usr/bin/valac --header HDR.h --vapi hello.vapi  -C quux.vala
> mv -f quux_vala.stamp-t quux_vala.stamp
> cc -DPACKAGE_NAME=\"vala-headers\" -DPACKAGE_TARNAME=\"vala-headers\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-headers\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-headers\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT quux.o -MD -MP -MF
> .deps/quux.Tpo -c -o quux.o quux.c
> mv -f .deps/quux.Tpo .deps/quux.Po
> cc -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g
> -O2   -o quux quux.o -lgobject-2.0 -lglib-2.0
> + for h in '$headers'
> + rm -f HDR.h
> + make HDR.h
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> betreten
> rm -f quux_vala.stamp && echo stamp > quux_vala.stamp-t
> /usr/bin/valac --header HDR.h --vapi hello.vapi  -C quux.vala
> mv -f quux_vala.stamp-t quux_vala.stamp
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> verlassen
> + test -f HDR.h
> + for h in '$headers'
> + rm -f hello.vapi
> + make hello.vapi
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> betreten
> rm -f quux_vala.stamp && echo stamp > quux_vala.stamp-t
> /usr/bin/valac --header HDR.h --vapi hello.vapi  -C quux.vala
> mv -f quux_vala.stamp-t quux_vala.stamp
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> verlassen
> + test -f hello.vapi
> + for h in '$headers'
> + rm -f foo.h
> + make foo.h
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> betreten
> rm -f zardoz_vala.stamp && echo stamp > zardoz_vala.stamp-t
> /usr/bin/valac -H foo.h --internal-header foo2.h --internal-vapi
> foo3.vapi  -C zardoz.vala
> mv -f zardoz_vala.stamp-t zardoz_vala.stamp
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> verlassen
> + test -f foo.h
> + for h in '$headers'
> + rm -f foo2.h
> + make foo2.h
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> betreten
> rm -f zardoz_vala.stamp && echo stamp > zardoz_vala.stamp-t
> /usr/bin/valac -H foo.h --internal-header foo2.h --internal-vapi
> foo3.vapi  -C zardoz.vala
> mv -f zardoz_vala.stamp-t zardoz_vala.stamp
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> verlassen
> + test -f foo2.h
> + for h in '$headers'
> + rm -f foo3.vapi
> + make foo3.vapi
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> betreten
> rm -f zardoz_vala.stamp && echo stamp > zardoz_vala.stamp-t
> /usr/bin/valac -H foo.h --internal-header foo2.h --internal-vapi
> foo3.vapi  -C zardoz.vala
> mv -f zardoz_vala.stamp-t zardoz_vala.stamp
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> verlassen
> + test -f foo3.vapi
> + rm -f HDR.h hello.vapi foo.h foo2.h foo3.vapi
> + make HDR.h hello.vapi foo.h foo2.h foo3.vapi
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> betreten
> rm -f quux_vala.stamp && echo stamp > quux_vala.stamp-t
> /usr/bin/valac --header HDR.h --vapi hello.vapi  -C quux.vala
> mv -f quux_vala.stamp-t quux_vala.stamp
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> verlassen
> make: „hello.vapi“ ist bereits aktuell.
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> betreten
> rm -f zardoz_vala.stamp && echo stamp > zardoz_vala.stamp-t
> /usr/bin/valac -H foo.h --internal-header foo2.h --internal-vapi
> foo3.vapi  -C zardoz.vala
> mv -f zardoz_vala.stamp-t zardoz_vala.stamp
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> verlassen
> make: „foo2.h“ ist bereits aktuell.
> make: „foo3.vapi“ ist bereits aktuell.
> + for h in '$headers'
> + test -f HDR.h
> + for h in '$headers'
> + test -f hello.vapi
> + for h in '$headers'
> + test -f foo.h
> + for h in '$headers'
> + test -f foo2.h
> + for h in '$headers'
> + test -f foo3.vapi
> + make distcheck
> make  dist-gzip am__post_remove_distdir='@:'
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> betreten
> make  distdir-am
> make[2]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> betreten
> if test -d "vala-headers-1.0"; then find "vala-headers-1.0" -type d !
> -perm -200 -exec chmod u+w {} ';' && rm -rf "vala-headers-1.0" || { sleep 5
> && rm -rf "vala-headers-1.0"; }; else :; fi
> test -d "vala-headers-1.0" || mkdir "vala-headers-1.0"
> test -n "" \
> || find "vala-headers-1.0" -type d ! -perm -755 \
>         -exec chmod u+rwx,go+rx {} \; -o \
>   ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
>   ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
>   ! -type d ! -perm -444 -exec /bin/bash
> /BUILD/automake-1.16.3/t/vala-headers.dir/install-sh -c -m a+r {} {} \; \
> || chmod -R a+r "vala-headers-1.0"
> make[2]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> verlassen
> tardir=vala-headers-1.0 && ${TAR-tar} chof - "$tardir" | eval GZIP= gzip
> --best -c >vala-headers-1.0.tar.gz
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-headers.dir“ wird
> verlassen
> if test -d "vala-headers-1.0"; then find "vala-headers-1.0" -type d !
> -perm -200 -exec chmod u+w {} ';' && rm -rf "vala-headers-1.0" || { sleep 5
> && rm -rf "vala-headers-1.0"; }; else :; fi
> case 'vala-headers-1.0.tar.gz' in \
> *.tar.gz*) \
>   eval GZIP= gzip --best -dc vala-headers-1.0.tar.gz | ${TAR-tar} xf - ;;\
> *.tar.bz2*) \
>   bzip2 -dc vala-headers-1.0.tar.bz2 | ${TAR-tar} xf - ;;\
> *.tar.lz*) \
>   lzip -dc vala-headers-1.0.tar.lz | ${TAR-tar} xf - ;;\
> *.tar.xz*) \
>   xz -dc vala-headers-1.0.tar.xz | ${TAR-tar} xf - ;;\
> *.tar.Z*) \
>   uncompress -c vala-headers-1.0.tar.Z | ${TAR-tar} xf - ;;\
> *.shar.gz*) \
>   eval GZIP= gzip --best -dc vala-headers-1.0.shar.gz | unshar ;;\
> *.zip*) \
>   unzip vala-headers-1.0.zip ;;\
> *.tar.zst*) \
>   zstd -dc vala-headers-1.0.tar.zst | ${TAR-tar} xf - ;;\
> esac
> chmod -R a-w vala-headers-1.0
> chmod u+w vala-headers-1.0
> mkdir vala-headers-1.0/_build vala-headers-1.0/_build/sub
> vala-headers-1.0/_inst
> chmod a-w vala-headers-1.0
> test -d vala-headers-1.0/_build || exit 0; \
> dc_install_base=`CDPATH="${ZSH_VERSION+.}:" && cd vala-headers-1.0/_inst
> && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
>   && dc_destdir="${TMPDIR-/tmp}/am-dc-$$/" \
>   && am__cwd=`pwd` \
>   && CDPATH="${ZSH_VERSION+.}:" && cd vala-headers-1.0/_build/sub \
>   && ../../configure \
>      \
>      \
>     --srcdir=../.. --prefix="$dc_install_base" \
>   && make  \
>   && make  dvi \
>   && make  check \
>   && make  install \
>   && make  installcheck \
>   && make  uninstall \
>   && make  distuninstallcheck_dir="$dc_install_base" \
>         distuninstallcheck \
>   && chmod -R a-w "$dc_install_base" \
>   && ({ \
>        (cd ../.. && umask 077 && mkdir "$dc_destdir") \
>        && make  DESTDIR="$dc_destdir" install \
>        && make  DESTDIR="$dc_destdir" uninstall \
>        && make  DESTDIR="$dc_destdir" \
>             distuninstallcheck_dir="$dc_destdir" distuninstallcheck; \
>       } || { rm -rf "$dc_destdir"; exit 1; }) \
>   && rm -rf "$dc_destdir" \
>   && make  dist \
>   && rm -rf vala-headers-1.0.tar.gz \
>   && make  distcleancheck \
>   && cd "$am__cwd" \
>   || exit 1
> checking for a BSD-compatible install...
> /arch/local/x86_64-linux/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /arch/local/x86_64-linux/bin/mkdir
> -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking whether make supports nested variables... yes
> checking for gcc... cc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether cc accepts -g... yes
> checking for cc option to accept ISO C89... none needed
> checking whether cc understands -c and -o together... yes
> checking whether make supports the include directive... yes (GNU style)
> checking dependency style of cc... gcc3
> checking for valac... /usr/bin/valac
> checking whether /usr/bin/valac supports at least API version 0.7.0... yes
> checking for pkg-config... /usr/bin/pkg-config
> checking pkg-config is at least version 0.9.0... yes
> checking for GOBJECT... yes
> checking that generated files are newer than configure... done
> configure: creating ./config.status
> config.status: creating Makefile
> config.status: executing depfiles commands
> make[1]: Verzeichnis
> „/BUILD/automake-1.16.3/t/vala-headers.dir/vala-headers-1.0/_build/sub“
> wird betreten
> cc -DPACKAGE_NAME=\"vala-headers\" -DPACKAGE_TARNAME=\"vala-headers\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-headers\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-headers\"
> -DVERSION=\"1.0\" -I. -I../..    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT zardoz.o -MD -MP
> -MF .deps/zardoz.Tpo -c -o zardoz.o zardoz.c
> mv -f .deps/zardoz.Tpo .deps/zardoz.Po
> cc -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g
> -O2   -o zardoz zardoz.o -lgobject-2.0 -lglib-2.0
> make[2]: Verzeichnis
> „/BUILD/automake-1.16.3/t/vala-headers.dir/vala-headers-1.0/_build/sub“
> wird betreten
> make[2]: „../../quux_vala.stamp“ ist bereits aktuell.
> make[2]: Verzeichnis
> „/BUILD/automake-1.16.3/t/vala-headers.dir/vala-headers-1.0/_build/sub“
> wird verlassen
> cc -DPACKAGE_NAME=\"vala-headers\" -DPACKAGE_TARNAME=\"vala-headers\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-headers\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-headers\"
> -DVERSION=\"1.0\" -I. -I../..    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT quux.o -MD -MP -MF
> .deps/quux.Tpo -c -o quux.o quux.c
> cc: error: quux.c: Datei oder Verzeichnis nicht gefunden
> cc: fatal error: no input files
> compilation terminated.
> make[1]: *** [Makefile:406: quux.o] Fehler 1
> make[1]: Verzeichnis
> „/BUILD/automake-1.16.3/t/vala-headers.dir/vala-headers-1.0/_build/sub“
> wird verlassen
> make: *** [Makefile:619: distcheck] Fehler 1
> + am_exit_trap 2
> + exit_status=2
> + set +e
> + cd /BUILD/automake-1.16.3
> + test none = tap
> + case $am_explicit_skips in
> + test 2 -eq 0
> + keep_testdirs=yes
> + am_keeping_testdirs
> + case $keep_testdirs in
> + return 0
> + set +x
> FAIL t/vala-headers.sh (exit status: 2)
>
> --1456002724-1605909332=:28818
> Content-Disposition: attachment; filename="vala-mix2.log"
> Content-Type: text/x-log; charset="UTF-8"; name="vala-mix2.log"
> Content-Transfer-Encoding: 7bit
>
> vala-mix2: running valac --version
> Vala 0.30.1
> vala-mix2: running pkg-config --version
> 0.29.1
> vala-mix2: determine whether make is GNU make
> GNU Make 4.3
> Lizenz GPLv3+: GNU GPL Version 3 oder später <
> http://gnu.org/licenses/gpl.html>
> pkg-config version: 0.29.1
> dnl pkg.m4 - Macros to locate and utilise pkg-config.   -*- Autoconf -*-
> dnl serial 11 (pkg-config-0.29.1)
> dnl
> dnl Copyright © 2004 Scott James Remnant <[email-masked]>.
> dnl Copyright © 2012-2015 Dan Nicholson <[email-masked]>
> dnl
> dnl This program is free software; you can redistribute it and/or modify
> dnl it under the terms of the GNU General Public License as published by
> dnl the Free Software Foundation; either version 2 of the License, or
> dnl (at your option) any later version.
> dnl
> dnl This program is distributed in the hope that it will be useful, but
> dnl WITHOUT ANY WARRANTY; without even the implied warranty of
> dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
> dnl General Public License for more details.
> dnl
> dnl You should have received a copy of the GNU General Public License
> dnl along with this program; if not, write to the Free Software
> dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
> dnl 02111-1307, USA.
> Running from installcheck: no
> Test Protocol: none
> PATH = /BUILD/automake-1.16.3/bin:/BUILD/automake-1.16.3/t/ax:/HIDDEN/PATH
> ++ pwd
> /BUILD/automake-1.16.3/t/vala-mix2.dir
> + cat
> + cat
> + cat
> + cat
> + cat
> + cat
> + cat
> + cat
> + aclocal-1.16 -Werror
> + automake-1.16 --foreign -Werror -Wall -a
> + autoconf
> + ./configure --enable-dependency-tracking
> checking for a BSD-compatible install...
> /arch/local/x86_64-linux/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /arch/local/x86_64-linux/bin/mkdir
> -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking whether make supports nested variables... yes
> checking for gcc... cc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether cc accepts -g... yes
> checking for cc option to accept ISO C89... none needed
> checking whether cc understands -c and -o together... yes
> checking whether make supports the include directive... yes (GNU style)
> checking dependency style of cc... gcc3
> checking whether we are using the GNU C++ compiler... yes
> checking whether c++ -std=gnu++11 accepts -g... yes
> checking dependency style of c++ -std=gnu++11... gcc3
> checking for valac... /usr/bin/valac
> checking whether /usr/bin/valac supports at least API version 0.7.3... yes
> checking for pkg-config... /usr/bin/pkg-config
> checking pkg-config is at least version 0.9.0... yes
> checking for GOBJECT... yes
> checking that generated files are newer than configure... done
> configure: creating ./config.status
> config.status: creating Makefile
> config.status: executing depfiles commands
> + make all
> rm -f zardoz_vala.stamp && echo stamp > zardoz_vala.stamp-t
> /usr/bin/valac   -C zardoz.vala
> mv -f zardoz_vala.stamp-t zardoz_vala.stamp
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT zardoz.o -MD -MP
> -MF .deps/zardoz.Tpo -c -o zardoz.o zardoz.c
> mv -f .deps/zardoz.Tpo .deps/zardoz.Po
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT bar.o -MD -MP -MF
> .deps/bar.Tpo -c -o bar.o bar.c
> mv -f .deps/bar.Tpo .deps/bar.Po
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT baz.o -MD -MP -MF
> .deps/baz.Tpo -c -o baz.o baz.c
> mv -f .deps/baz.Tpo .deps/baz.Po
> c++ -std=gnu++11 -DPACKAGE_NAME=\"vala-mix2\"
> -DPACKAGE_TARNAME=\"vala-mix2\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"vala-mix2\ 1.0\" -DPACKAGE_BUGREPORT=\"\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\" -DVERSION=\"1.0\" -I.     -g -O2
> -MT master.o -MD -MP -MF .deps/master.Tpo -c -o master.o master.cxx
> mv -f .deps/master.Tpo .deps/master.Po
> c++ -std=gnu++11  -g -O2   -o zardoz zardoz.o bar.o baz.o master.o
> -lgobject-2.0 -lglib-2.0
> + ls -l
> insgesamt 516
> -rw-rw-r-- 1 bruno bruno  54055 20. Nov 02:59 aclocal.m4
> drwxr-xr-x 2 bruno bruno   4096 20. Nov 02:59 autom4te.cache
> -rw-rw-r-- 1 bruno bruno     57 20. Nov 02:59 bar.c
> -rw-rw-r-- 1 bruno bruno   2976 20. Nov 03:00 bar.o
> -rw-rw-r-- 1 bruno bruno     59 20. Nov 02:59 baz.c
> -rw-rw-r-- 1 bruno bruno   2760 20. Nov 03:00 baz.o
> -rwxr-xr-x 1 bruno bruno   7400 20. Nov 02:59 compile
> -rw-rw-r-- 1 bruno bruno  14787 20. Nov 03:00 config.log
> -rwxrwxr-x 1 bruno bruno  30038 20. Nov 02:59 config.status
> -rwxrwxr-x 1 bruno bruno 165598 20. Nov 02:59 configure
> -rw-rw-r-- 1 bruno bruno    180 20. Nov 02:59 configure.ac
> -rwxr-xr-x 1 bruno bruno  23568 20. Nov 02:59 depcomp
> -rw-rw-r-- 1 bruno bruno     48 20. Nov 02:59 foo.h
> -rwxr-xr-x 1 bruno bruno  15358 20. Nov 02:59 install-sh
> -rw-rw-r-- 1 bruno bruno  27203 20. Nov 03:00 Makefile
> -rw-rw-r-- 1 bruno bruno    148 20. Nov 02:59 Makefile.am
> -rw-rw-r-- 1 bruno bruno  27272 20. Nov 02:59 Makefile.in
> -rw-rw-r-- 1 bruno bruno     76 20. Nov 02:59 master.cxx
> -rw-rw-r-- 1 bruno bruno  37368 20. Nov 03:00 master.o
> -rwxr-xr-x 1 bruno bruno   6878 20. Nov 02:59 missing
> -rwxrwxr-x 1 bruno bruno  32368 20. Nov 03:00 zardoz
> -rw-rw-r-- 1 bruno bruno    473 20. Nov 03:00 zardoz.c
> -rw-rw-r-- 1 bruno bruno   8760 20. Nov 03:00 zardoz.o
> -rw-rw-r-- 1 bruno bruno     64 20. Nov 02:59 zardoz.vala
> -rw-rw-r-- 1 bruno bruno      6 20. Nov 03:00 zardoz_vala.stamp
> -rw-rw-r-- 1 bruno bruno     20 20. Nov 02:59 zen.hh
> + have_generated_files
> + test -f zardoz_vala.stamp
> + test -f zardoz.c
> + make -q
> + make -n
> + /arch/local/x86_64-linux-gnu/bin/grep -F vala.stamp
> + for file in zardoz.vala foo.h bar.c baz.c zen.hh master.cxx
> + sleep 2
> + echo '& choke me !'
> + make
> rm -f zardoz_vala.stamp && echo stamp > zardoz_vala.stamp-t
> /usr/bin/valac   -C zardoz.vala
> zardoz.vala:6.1-6.1: error: syntax error, expected identifier
> & choke me !
> ^
> Compilation failed: 1 error(s), 0 warning(s)
> make: *** [Makefile:440: zardoz_vala.stamp] Fehler 1
> + sleep 2
> + sed '$d' zardoz.vala
> + mv -f t zardoz.vala
> + make
> rm -f zardoz_vala.stamp && echo stamp > zardoz_vala.stamp-t
> /usr/bin/valac   -C zardoz.vala
> mv -f zardoz_vala.stamp-t zardoz_vala.stamp
> + for file in zardoz.vala foo.h bar.c baz.c zen.hh master.cxx
> + sleep 2
> + echo '& choke me !'
> + make
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT bar.o -MD -MP -MF
> .deps/bar.Tpo -c -o bar.o bar.c
> In file included from bar.c:1:0:
> foo.h:4:1: error: expected identifier or ‘(’ before ‘&’ token
>  & choke me !
>  ^
> make: *** [Makefile:405: bar.o] Fehler 1
> + sleep 2
> + sed '$d' foo.h
> + mv -f t foo.h
> + make
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT bar.o -MD -MP -MF
> .deps/bar.Tpo -c -o bar.o bar.c
> mv -f .deps/bar.Tpo .deps/bar.Po
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT baz.o -MD -MP -MF
> .deps/baz.Tpo -c -o baz.o baz.c
> mv -f .deps/baz.Tpo .deps/baz.Po
> c++ -std=gnu++11  -g -O2   -o zardoz zardoz.o bar.o baz.o master.o
> -lgobject-2.0 -lglib-2.0
> + for file in zardoz.vala foo.h bar.c baz.c zen.hh master.cxx
> + sleep 2
> + echo '& choke me !'
> + make
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT bar.o -MD -MP -MF
> .deps/bar.Tpo -c -o bar.o bar.c
> bar.c:3:1: error: expected identifier or ‘(’ before ‘&’ token
>  & choke me !
>  ^
> make: *** [Makefile:405: bar.o] Fehler 1
> + sleep 2
> + sed '$d' bar.c
> + mv -f t bar.c
> + make
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT bar.o -MD -MP -MF
> .deps/bar.Tpo -c -o bar.o bar.c
> mv -f .deps/bar.Tpo .deps/bar.Po
> c++ -std=gnu++11  -g -O2   -o zardoz zardoz.o bar.o baz.o master.o
> -lgobject-2.0 -lglib-2.0
> + for file in zardoz.vala foo.h bar.c baz.c zen.hh master.cxx
> + sleep 2
> + echo '& choke me !'
> + make
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT baz.o -MD -MP -MF
> .deps/baz.Tpo -c -o baz.o baz.c
> baz.c:4:1: error: expected identifier or ‘(’ before ‘&’ token
>  & choke me !
>  ^
> make: *** [Makefile:405: baz.o] Fehler 1
> + sleep 2
> + sed '$d' baz.c
> + mv -f t baz.c
> + make
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I.    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT baz.o -MD -MP -MF
> .deps/baz.Tpo -c -o baz.o baz.c
> mv -f .deps/baz.Tpo .deps/baz.Po
> c++ -std=gnu++11  -g -O2   -o zardoz zardoz.o bar.o baz.o master.o
> -lgobject-2.0 -lglib-2.0
> + for file in zardoz.vala foo.h bar.c baz.c zen.hh master.cxx
> + sleep 2
> + echo '& choke me !'
> + make
> c++ -std=gnu++11 -DPACKAGE_NAME=\"vala-mix2\"
> -DPACKAGE_TARNAME=\"vala-mix2\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"vala-mix2\ 1.0\" -DPACKAGE_BUGREPORT=\"\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\" -DVERSION=\"1.0\" -I.     -g -O2
> -MT master.o -MD -MP -MF .deps/master.Tpo -c -o master.o master.cxx
> In file included from master.cxx:1:0:
> zen.hh:2:9: error: expected constructor, destructor, or type conversion
> before ‘me’
>  & choke me !
>          ^
> make: *** [Makefile:419: master.o] Fehler 1
> + sleep 2
> + sed '$d' zen.hh
> + mv -f t zen.hh
> + make
> c++ -std=gnu++11 -DPACKAGE_NAME=\"vala-mix2\"
> -DPACKAGE_TARNAME=\"vala-mix2\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"vala-mix2\ 1.0\" -DPACKAGE_BUGREPORT=\"\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\" -DVERSION=\"1.0\" -I.     -g -O2
> -MT master.o -MD -MP -MF .deps/master.Tpo -c -o master.o master.cxx
> mv -f .deps/master.Tpo .deps/master.Po
> c++ -std=gnu++11  -g -O2   -o zardoz zardoz.o bar.o baz.o master.o
> -lgobject-2.0 -lglib-2.0
> + for file in zardoz.vala foo.h bar.c baz.c zen.hh master.cxx
> + sleep 2
> + echo '& choke me !'
> + make
> c++ -std=gnu++11 -DPACKAGE_NAME=\"vala-mix2\"
> -DPACKAGE_TARNAME=\"vala-mix2\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"vala-mix2\ 1.0\" -DPACKAGE_BUGREPORT=\"\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\" -DVERSION=\"1.0\" -I.     -g -O2
> -MT master.o -MD -MP -MF .deps/master.Tpo -c -o master.o master.cxx
> master.cxx:3:9: error: expected constructor, destructor, or type
> conversion before ‘me’
>  & choke me !
>          ^
> make: *** [Makefile:419: master.o] Fehler 1
> + sleep 2
> + sed '$d' master.cxx
> + mv -f t master.cxx
> + make
> c++ -std=gnu++11 -DPACKAGE_NAME=\"vala-mix2\"
> -DPACKAGE_TARNAME=\"vala-mix2\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"vala-mix2\ 1.0\" -DPACKAGE_BUGREPORT=\"\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\" -DVERSION=\"1.0\" -I.     -g -O2
> -MT master.o -MD -MP -MF .deps/master.Tpo -c -o master.o master.cxx
> mv -f .deps/master.Tpo .deps/master.Po
> c++ -std=gnu++11  -g -O2   -o zardoz zardoz.o bar.o baz.o master.o
> -lgobject-2.0 -lglib-2.0
> + make distcheck
> make  dist-gzip am__post_remove_distdir='@:'
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-mix2.dir“ wird betreten
> make  distdir-am
> make[2]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-mix2.dir“ wird betreten
> if test -d "vala-mix2-1.0"; then find "vala-mix2-1.0" -type d ! -perm -200
> -exec chmod u+w {} ';' && rm -rf "vala-mix2-1.0" || { sleep 5 && rm -rf
> "vala-mix2-1.0"; }; else :; fi
> test -d "vala-mix2-1.0" || mkdir "vala-mix2-1.0"
> test -n "" \
> || find "vala-mix2-1.0" -type d ! -perm -755 \
>         -exec chmod u+rwx,go+rx {} \; -o \
>   ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
>   ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
>   ! -type d ! -perm -444 -exec /bin/bash
> /BUILD/automake-1.16.3/t/vala-mix2.dir/install-sh -c -m a+r {} {} \; \
> || chmod -R a+r "vala-mix2-1.0"
> make[2]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-mix2.dir“ wird
> verlassen
> tardir=vala-mix2-1.0 && ${TAR-tar} chof - "$tardir" | eval GZIP= gzip
> --best -c >vala-mix2-1.0.tar.gz
> make[1]: Verzeichnis „/BUILD/automake-1.16.3/t/vala-mix2.dir“ wird
> verlassen
> if test -d "vala-mix2-1.0"; then find "vala-mix2-1.0" -type d ! -perm -200
> -exec chmod u+w {} ';' && rm -rf "vala-mix2-1.0" || { sleep 5 && rm -rf
> "vala-mix2-1.0"; }; else :; fi
> case 'vala-mix2-1.0.tar.gz' in \
> *.tar.gz*) \
>   eval GZIP= gzip --best -dc vala-mix2-1.0.tar.gz | ${TAR-tar} xf - ;;\
> *.tar.bz2*) \
>   bzip2 -dc vala-mix2-1.0.tar.bz2 | ${TAR-tar} xf - ;;\
> *.tar.lz*) \
>   lzip -dc vala-mix2-1.0.tar.lz | ${TAR-tar} xf - ;;\
> *.tar.xz*) \
>   xz -dc vala-mix2-1.0.tar.xz | ${TAR-tar} xf - ;;\
> *.tar.Z*) \
>   uncompress -c vala-mix2-1.0.tar.Z | ${TAR-tar} xf - ;;\
> *.shar.gz*) \
>   eval GZIP= gzip --best -dc vala-mix2-1.0.shar.gz | unshar ;;\
> *.zip*) \
>   unzip vala-mix2-1.0.zip ;;\
> *.tar.zst*) \
>   zstd -dc vala-mix2-1.0.tar.zst | ${TAR-tar} xf - ;;\
> esac
> chmod -R a-w vala-mix2-1.0
> chmod u+w vala-mix2-1.0
> mkdir vala-mix2-1.0/_build vala-mix2-1.0/_build/sub vala-mix2-1.0/_inst
> chmod a-w vala-mix2-1.0
> test -d vala-mix2-1.0/_build || exit 0; \
> dc_install_base=`CDPATH="${ZSH_VERSION+.}:" && cd vala-mix2-1.0/_inst &&
> pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
>   && dc_destdir="${TMPDIR-/tmp}/am-dc-$$/" \
>   && am__cwd=`pwd` \
>   && CDPATH="${ZSH_VERSION+.}:" && cd vala-mix2-1.0/_build/sub \
>   && ../../configure \
>      \
>      \
>     --srcdir=../.. --prefix="$dc_install_base" \
>   && make  \
>   && make  dvi \
>   && make  check \
>   && make  install \
>   && make  installcheck \
>   && make  uninstall \
>   && make  distuninstallcheck_dir="$dc_install_base" \
>         distuninstallcheck \
>   && chmod -R a-w "$dc_install_base" \
>   && ({ \
>        (cd ../.. && umask 077 && mkdir "$dc_destdir") \
>        && make  DESTDIR="$dc_destdir" install \
>        && make  DESTDIR="$dc_destdir" uninstall \
>        && make  DESTDIR="$dc_destdir" \
>             distuninstallcheck_dir="$dc_destdir" distuninstallcheck; \
>       } || { rm -rf "$dc_destdir"; exit 1; }) \
>   && rm -rf "$dc_destdir" \
>   && make  dist \
>   && rm -rf vala-mix2-1.0.tar.gz \
>   && make  distcleancheck \
>   && cd "$am__cwd" \
>   || exit 1
> checking for a BSD-compatible install...
> /arch/local/x86_64-linux/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /arch/local/x86_64-linux/bin/mkdir
> -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking whether make supports nested variables... yes
> checking for gcc... cc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether cc accepts -g... yes
> checking for cc option to accept ISO C89... none needed
> checking whether cc understands -c and -o together... yes
> checking whether make supports the include directive... yes (GNU style)
> checking dependency style of cc... gcc3
> checking whether we are using the GNU C++ compiler... yes
> checking whether c++ -std=gnu++11 accepts -g... yes
> checking dependency style of c++ -std=gnu++11... gcc3
> checking for valac... /usr/bin/valac
> checking whether /usr/bin/valac supports at least API version 0.7.3... yes
> checking for pkg-config... /usr/bin/pkg-config
> checking pkg-config is at least version 0.9.0... yes
> checking for GOBJECT... yes
> checking that generated files are newer than configure... done
> configure: creating ./config.status
> config.status: creating Makefile
> config.status: executing depfiles commands
> make[1]: Verzeichnis
> „/BUILD/automake-1.16.3/t/vala-mix2.dir/vala-mix2-1.0/_build/sub“ wird
> betreten
> make[2]: Verzeichnis
> „/BUILD/automake-1.16.3/t/vala-mix2.dir/vala-mix2-1.0/_build/sub“ wird
> betreten
> make[2]: „../../zardoz_vala.stamp“ ist bereits aktuell.
> make[2]: Verzeichnis
> „/BUILD/automake-1.16.3/t/vala-mix2.dir/vala-mix2-1.0/_build/sub“ wird
> verlassen
> cc -DPACKAGE_NAME=\"vala-mix2\" -DPACKAGE_TARNAME=\"vala-mix2\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-mix2\ 1.0\"
> -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-mix2\"
> -DVERSION=\"1.0\" -I. -I../..    -I/usr/include/glib-2.0
> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -MT zardoz.o -MD -MP
> -MF .deps/zardoz.Tpo -c -o zardoz.o zardoz.c
> cc: error: zardoz.c: Datei oder Verzeichnis nicht gefunden
> cc: fatal error: no input files
> compilation terminated.
> make[1]: *** [Makefile:405: zardoz.o] Fehler 1
> make[1]: Verzeichnis
> „/BUILD/automake-1.16.3/t/vala-mix2.dir/vala-mix2-1.0/_build/sub“ wird
> verlassen
> make: *** [Makefile:596: distcheck] Fehler 1
> + am_exit_trap 2
> + exit_status=2
> + set +e
> + cd /BUILD/automake-1.16.3
> + test none = tap
> + case $am_explicit_skips in
> + test 2 -eq 0
> + keep_testdirs=yes
> + am_keeping_testdirs
> + case $keep_testdirs in
> + return 0
> + set +x
> FAIL t/vala-mix2.sh (exit status: 2)
>
> --1456002724-1605909332=:28818--
>

-- 
https://rrt.sc3d.org